#!/bin/bash

# Additionnal JVM arguments
CLIENTARGS=""
uname -m | egrep '(i386|i586|i686|athlon|arm)' && CLIENTARGS="-client -Xmx256m"

show_splash=true
for arg in "$@" ; do
  if [ "$arg" = "--splash=no" ] ; then
    show_splash=false
  elif [ "$arg" = "--splash=yes" ] ; then
    show_splash=true
  fi
done

SPLASH_ARG=""
if $show_splash ; then
    SPLASH_ARG="-splash:splash.gif"
fi

javabin=`which java`

SCDIR="$(getconf LIBDIR)/jitsi"
LIBPATH="$SCDIR/lib"
CLASSPATH="/usr/share/java/dnsjava.jar:$LIBPATH/jdic_stub.jar:$LIBPATH/jdic-all.jar:$LIBPATH/felix.jar:$LIBPATH/bcprovider.jar:$SCDIR/sc-bundles/sc-launcher.jar:$SCDIR/sc-bundles/util.jar"
FELIX_CONFIG=$LIBPATH/felix.client.run.properties
LOG_CONFIG=$LIBPATH/logging.properties
COMMAND="$javabin $CLIENTARGS -classpath $CLASSPATH -Djna.library.path=$LIBPATH/native -Dfelix.config.properties=file:$FELIX_CONFIG -Djava.util.logging.config.file=$LOG_CONFIG $SPLASH_ARG net.java.sip.communicator.launcher.SIPCommunicator"

# set add LIBPATH to LD_LIBRARY_PATH for any sc natives (e.g. jmf .so's)
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}$LIBPATH/native"

cd $SCDIR

exec $COMMAND $*
